%define upstream_name    Data-Util
%define upstream_version 0.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exports subrtouines lexically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(Hash::Util::FieldHash::Compat)
BuildRequires: perl(Scope::Guard)
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::More) >= 0.620.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl-devel
%description
This module provides utility functions for data and data types, including
functions for subroutines and symbol table hashes (stashes).

The implementation of this module is both Pure Perl and XS, so if you have
a C compiler, all the functions this module provides are really faster.

There are many benchmarks in the _DIST-DIR/benchmark/_ directory.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sat Nov 05 2011 kharec <kharec> 0.590.0-1.mga2
+ Revision: 163778
- update to 0.59

* Sun Jun 12 2011 sander85 <sander85> 0.580.0-3.mga2
+ Revision: 105155
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.580.0-2.mga2
+ Revision: 32745
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-1.mga1
+ Revision: 30091
- mageia rebuild
- cleaning spec file
- imported package perl-Data-Util


* Sat Jan 15 2011 cpan2dist 0.58-1mdv
- initial mdv release, generated with cpan2dist
